"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144d2d0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144d360>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144d3f0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144d480>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144d510>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144d5a0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144d630>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144d6c0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144d750>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144d7e0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144d870>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144d900>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144d990>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144da20>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144dab0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144db40>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144dbd0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144dc60>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144dcf0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144dd80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144de10>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144dea0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144df30>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144dfc0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e0e0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e050>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e170>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e200>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e290>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e320>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e3b0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e440>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e4d0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e560>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e5f0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e680>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e710>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e7a0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e830>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e8c0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e950>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144e9e0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144ea70>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144eb00>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144eb90>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144ec20>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144ecb0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144ed40>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144edd0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144ee60>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144eef0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144ef80>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144f010>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144f0a0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144f130>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144f1c0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144f250>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144f2e0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144f370>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144f400>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144f490>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144f520>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144f5b0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144f640>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144f6d0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144f880>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144f760>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144f910>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144f9a0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144fa30>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144fac0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144fb50>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144fc70>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144fbe0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144fd00>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144fd90>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144fe20>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144ff40>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff7144feb0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff71460040>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff714600d0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff71460160>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff714601f0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff71460280>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff71460310>)]
name: str = 'fr_HOCCN'
